### Method

# Gio IOExtension ref_class

#### Declaration [src]

    GTypeClass*
    g_io_extension_ref_class (
      GIOExtension* extension
    )

#### Description [src]

Gets a reference to the class for the type that is associated with `extension`.

This method is not directly available to language bindings.

#### Return value

Type: `GTypeClass`

The `GTypeClass` for the type of `extension`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.